PNF Package for Integration Test
================================

**NOTE: Requires openssl to be preinstalled.**

This module builds 3 PNF packages based on the files in `/src/main/resources/csarContent/`

1. unsigned package:
	`sample-pnf-1.0.1-SNAPSHOT.csar`

2. signed packages:
    A) 	`sample-signed-pnf-1.0.1-SNAPSHOT.zip`
    B) 	`sample-signed-pnf-cms-includes-cert-1.0.1-SNAPSHOT.zip`
    The signed packages are based on ETSI SOL004 Security Option 2. They contain csar, cert and cms files. In package B cms includes cert.

The packages are generated by running the following command in the same directory as this readme file i.e. pnf-onboarding directory:
>	`$ mvn clean install`

The packages will be stored in the maven generated `target` directory.

To be able to use the signed packages in SDC the `src/main/resources/securityContent/root.cert` file has to be loaded into SDC onboarding backend container.

If SDC is running in containers locally then the following commands could be used to copy the root.cert to the default location in SDC Onboarding Container. It is assumed that the commands are executed from inside pnf-onboarding directory.

>	`$ docker exec -it <sdc-onboard-backend-container-id> mkdir -p /var/lib/jetty/cert`
>	`$ docker cp src/main/resources/securityContent/root.cert <sdc-onboard-backend-container-id>:/var/lib/jetty/cert`